Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 05 May 2022 15:44:42 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I went in Your shop in masdar branch and this is the worst experience I met it , in 26 April, I have Fazaa card but cashier not agreed about it because expired, in same time I came from Redtag shop but they take my Fazza and no problem with them, so how I can solve this problem I said, they told me I probably upload the application , then I still along time to upload Fazaa application and call Fazaa to give me username and password, it takes along time ,what’s ashamed, I feeling so upset about this experience and I wish you be flexible with your customers https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4299039